ICU 54.1 54.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Data Fields
UConverterToUnicodeArgs Struct Reference

The structure for the toUnicode callback function parameter. More...

`#include <ucnv_err.h>`

## Data Fields
uint16_t | size
| The size of this struct.
UBool | flush
| The internal state of converter will be reset and data flushed if set to TRUE.
UConverter * | converter
| Pointer to the converter that is opened and to which this struct is passed as an argument.
const char * | source
| Pointer to the source source buffer.
const char * | sourceLimit
| Pointer to the limit (end + 1) of source buffer.
UChar * | target
| Pointer to the target buffer.
const UChar * | targetLimit
| Pointer to the limit (end + 1) of target buffer.
int32_t * | offsets
| Pointer to the buffer that recieves the offsets.

## Detailed Description

The structure for the toUnicode callback function parameter.

Stable:
  ICU 2.0

Definition at line 208 of file ucnv_err.h.

## Field Documentation

UConverter* UConverterToUnicodeArgs::converter

Pointer to the converter that is opened and to which this struct is passed as an argument.

Stable:
  ICU 2.0

Definition at line 211 of file ucnv_err.h.

UBool UConverterToUnicodeArgs::flush

The internal state of converter will be reset and data flushed if set to TRUE.

Stable:
  ICU 2.0

Definition at line 210 of file ucnv_err.h.

int32_t* UConverterToUnicodeArgs::offsets

Pointer to the buffer that recieves the offsets.

*offset = blah ; offset++;.

Stable:
  ICU 2.0

Definition at line 216 of file ucnv_err.h.

uint16_t UConverterToUnicodeArgs::size

The size of this struct.

Stable:
  ICU 2.0

Definition at line 209 of file ucnv_err.h.

const char* UConverterToUnicodeArgs::source

Pointer to the source source buffer.

Stable:
  ICU 2.0

Definition at line 212 of file ucnv_err.h.

const char* UConverterToUnicodeArgs::sourceLimit

Pointer to the limit (end + 1) of source buffer.

Stable:
  ICU 2.0

Definition at line 213 of file ucnv_err.h.

UChar* UConverterToUnicodeArgs::target

Pointer to the target buffer.

Stable:
  ICU 2.0

Definition at line 214 of file ucnv_err.h.

const UChar* UConverterToUnicodeArgs::targetLimit

Pointer to the limit (end + 1) of target buffer.

Stable:
  ICU 2.0

Definition at line 215 of file ucnv_err.h.

The documentation for this struct was generated from the following file:

- ucnv_err.h